<?php
 
session_start();
$com = "M";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("JQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<?php

if ($_REQUEST['bot']==""){
	echo '<h2>!!! SELECCIONE UN REGISTRO !!!</h2>';
	echo '<meta content="1; url=cat_meseros_PR.php"  HTTP-EQUIV="REFRESH">';
}else{
	if(!isset($_REQUEST['tap2'])){
		include('cat_meseros_CL.php');
		$varible_clase = new clase();
		$res=$varible_clase->lista_busqueda($_REQUEST["bot"]);
		$reg=mysqli_fetch_array($res);
                if(!isset($reg['id_pro']))$reg['id_pro']="";
		$_REQUEST['id_pro']=$reg['id_pro'];
		$_REQUEST['tap2']=$reg['np_desc1'];
		$_REQUEST['cos_prom']=$reg['cos_prom'];
		$_REQUEST['cod_var']=$reg['cod_var'];
		$_REQUEST['ini']=$reg['iniciales'];
	}
?>
<style type="text/css">
<!--
.Estilo19 {font-size: 16px}
.Estilo23 {font-size: 11px; font-weight: bold; }
-->
</style>
<script language="javascript">
        
       $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='BUSMESER.php';
	var idObjDes='tap2';
        
	
//ademas el autocomplete se va a ejecutar con la descripcion no con la clave

	$("#"+idObjDes).autocomplete({
            source:pagRes,
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		                 //ancho del cuadro de despliegue
		 delay: 200,           //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
                           select: function( event, ui ) {
                        
                     $("#"+idObjDes).val( ui.item.gdescrip);
	
         }
 //Parametros Extra a Mandar en autosugestion
	});	
	
});
//$(document).ready(function(){
//	function formatItem(row) {
//		return " (<strong>" + row[1] + "</strong>)"+row[0];
//	}
//	$("#tap2").autocomplete('BUSMESER.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//});
//</script>	
	
<body>

<div align="center">
<form name="frm1" method="post" action="" enctype="multipart/form-data">
  <p>&nbsp;  </p>
  <p>&nbsp;</p>
  <p>
    <input name="bot" type="hidden" value="<?php
 echo $_REQUEST['bot'];?>"> 
    <input name="nparte1" type="hidden" id="nparte1" size="15"
		  <?php
 
		if(isset($_REQUEST['bot'])){
		echo 'value="'.$reg['nparte1'].'"';
		}
		?>
		
		>
  </p>
  <div id="width_cabe" align="center">
  <table width="475" border="0" align="center">
    <tr>
      <td colspan="2" class="titulo">MODIFICAR MESEROS </th>    </tr>
      <tr>
        <th width="113" style="#FC6171"><div align="left"><span class="Estilo23">DESCRIPCION</span></div></th>
        <td width="346" style="#D2BEE4"><label>
        <input name="tap2" id="tap2" type="text" tabindex="2"
		  onBlur="may(this)" size="30"
		 <?php
 
		if(isset($_REQUEST['bot'])){
		echo 'value="'.$_REQUEST['tap2'].'"';
		}
		?>>
        </label></td>
      </tr>
      <tr>
        <th style="#FC6171"><div align="left"><span class="Estilo23">INICIALES</span></div></th>
        <td style="#D2BEE4"><input name="ini" id="ini" type="text" tabindex="2"
		  onBlur="may(this)" size="30"
		 <?php
 
		if(isset($_REQUEST['ini'])){
		echo 'value="'.$_REQUEST['ini'].'"';
		}else{
				echo 'value="'.$reg['iniciales'].'"';
		}
		?>></td>
      </tr>
      <tr>
        <th style="#FC6171"><div align="left"><span class="Estilo23">PASSWORD</span></div></th>
        <td style="#D2BEE4" ><input name="pass" id="pass" type="password" tabindex="2"
		  onBlur="may(this)" size="30" onKeyPress="return validar(event)" onChange="javascript:document.frm1.submit();" 
		 <?php
 
			if(isset($_REQUEST['pass'])){ 
				$query=mysqli_query($con ,"select codigo from ctmeser");
				while ($regc=mysqli_fetch_array($query)){
				if ($_REQUEST['pass']==$regc['codigo'])
				$usua=1;
				}
				$query2=mysqli_query($con ,"select pasw from dgcatven");
				while ($regc2=mysqli_fetch_array($query2)){
				if ($_REQUEST['pass']==$regc2['pasw'])
				$usua=1;
				}
				
				if ($usua==1){
				echo 
				"<script type='text/javascript'>
				'¡¡¡¡¡¡LA CONTRASEÑA YA ES USADA POR OTRO USUARIO!!!!!'
				</script ";
				}else {
				echo 'value="' . $_REQUEST['pass'] .  '"';
				}
			}else {
				echo 'value="' . $reg['codigo'].  '"';
			}
			
	
		//}
		?> ></td>
      </tr>
      <tr style="display:none">
        <th style="#FC6171"><div align="left"><span class="Estilo23">DESCRIPCION PUNTO VTA</span></div></th>
        <td style="#D2BEE4"><select name="descpvta" id="descpvta">
			  <option value = "0">---selecciona---</option>
     <?php

		$sql = mysqli_query($con ,"SELECT * FROM ptventa");
			while($row=mysqli_fetch_array($sql)){
				if($row['nparte1'] == $reg['cvpvta']){
					echo '<option value="' . $row['nparte1'] . '" selected>' . $row['np_desc1'].'</option>';
				}else{
					echo '<option value="' . $row['nparte1'] . '">' . $row['np_desc1'].'</option>';
				}
			}
		?>
	    </select></td>
      </tr>
      
      
      <tr>
        <td height="29" colspan="2" class="titulo">
          <div align="center">
            <input type="button" name="bot1" value="Modificar" onClick="openpage('cat_meseros_MC.php','_self')" class="original"/>
            <input type="button" name="bot4" value="Regresar" onClick="openpage('cat_meseros_PR.php','_self')" class="bot_WsW"/>
			<input type="button" name="bot3" value="Eliminar" onClick="openpage('cat_meseros_EL.php','_self')" class="bot_RjR"/>
        </div></td>
      </tr>
    </table>
  </div>
  
</form>
</div>
 <?php
 
}
?>

<?php
 mysqli_close($con);?>

</body>
</html>